# dladm_vnic – Manage VNICs on Solaris/illumos systems

- Synopsis

- Parameters

- Examples

- Return Values

- Status

## Synopsis

- Create or delete VNICs on Solaris/illumos systems.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
link - / required |  | VNIC underlying link name.
mac - | Default: "no" | Sets the VNIC's MAC address. Must be valid unicast MAC address. aliases: macaddr
name - / required |  | VNIC name.

state
-

Choices:
- present ←
- absent

Create or delete Solaris/illumos VNIC.

temporary
boolean

Choices:
- no ←
- yes

Specifies that the VNIC is temporary. Temporary VNICs do not persist across reboots.

vlan - | Default: "no" | Enable VLAN tagging for this VNIC. The VLAN tag will have id vlan. aliases: vlan_id

## Examples

    # Create 'vnic0' VNIC over 'bnx0' link
    - dladm_vnic:
        name: vnic0
        link: bnx0
        state: present

    # Create VNIC with specified MAC and VLAN tag over 'aggr0'
    - dladm_vnic:
        name: vnic1
        link: aggr0
        mac: '00:00:5E:00:53:23'
        vlan: 4

    # Remove 'vnic0' VNIC
    - dladm_vnic:
        name: vnic0
        link: bnx0
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
link string | always | VNIC underlying link name Sample: igb0
mac string | if mac is specified | MAC address to use for VNIC Sample: 00:00:5E:00:53:42
name string | always | VNIC name Sample: vnic0
state string | always | state of the target Sample: present
temporary boolean | always | VNIC's persistence Sample: True
vlan integer | success | VLAN to use for VNIC Sample: 42

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Adam Števko (@xen0l)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.